/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_is_what_2.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: fbenneto <fbenneto@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/11/18 12:55:11 by fbenneto          #+#    #+#             */
/*   Updated: 2017/11/18 14:13:35 by fbenneto         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

int		ft_is_t_right(int n)
{
	if (n == 305 || n == 610 || n == 4880 || n == 9760 || n == 19520\
		|| n == 1220)
		return (1);
	return (0);
}

int		ft_is_t_left(int n)
{
	if (n == 562 || n == 1124 || n == 8992 || n == 17984 || n == 35968\
		|| n == 2248)
		return (1);
	return (0);
}

int		ft_is_z_right(int n)
{
	if (n == 54 || n == 108 || n == 864 || n == 1728 || n == 13824\
		|| n == 27648)
		return (1);
	return (0);
}

int		ft_is_z_left(int n)
{
	if (n == 99 || n == 198 || n == 1584 || n == 3168 || n == 25344\
		|| n == 50688)
		return (1);
	return (0);
}

int		ft_is_z_top_right(int n)
{
	if (n == 306 || n == 612 || n == 1224 || n == 4896 || n == 9792\
		|| n == 19584)
		return (1);
	return (0);
}
